Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management
Class TraceNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--com.sun.management.TraceNotification

public class TraceNotification
extends Notification

This class defines an object used by the class Trace to send out all internal runtime information.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `className` The name of the class from which the information comes
`java.lang.Throwable` | `exception` The exception sent out by the class Trace.
`long` | `globalSequenceNumber` Global sequence number representing the place of this notification in all notification sequence.
`java.lang.String` | `info` The information sent out by the class Trace.
`int` | `level` The level of information.
`java.lang.String` | `methodName` The name of the method from which the information comes.
`long` | `sequenceNumber` Sequence number representing the place of this notification in the sequence of all same type notifications
`int` | `type` The type of information.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TraceNotification(java.lang.Object source, long sequenceNumber, long globalSequenceNumber, int level, int type, java.lang.String className, java.lang.String methodName, java.lang.String info, java.lang.Throwable exception)` Construct a TraceNotification object.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### level

    public int level

  The level of information.

### type

    public int type

  The type of information.

### className

    public java.lang.String className

  The name of the class from which the information comes

### methodName

    public java.lang.String methodName

  The name of the method from which the information comes.

### info

    public java.lang.String info

  The information sent out by the class Trace.

  It can be null if an exception is provided as information.

### exception

    public java.lang.Throwable exception

  The exception sent out by the class Trace.

  It can be null if a string is provided as information.

### globalSequenceNumber

    public long globalSequenceNumber

  Global sequence number representing the place of this notification in all notification sequence.

### sequenceNumber

    public long sequenceNumber

  Sequence number representing the place of this notification in the sequence of all same type notifications

Constructor Detail

### TraceNotification

    public TraceNotification(java.lang.Object source,
                             long sequenceNumber,
                             long globalSequenceNumber,
                             int level,
                             int type,
                             java.lang.String className,
                             java.lang.String methodName,
                             java.lang.String info,
                             java.lang.Throwable exception)

  Construct a TraceNotification object.
  Parameters:
    `source` - the emitter of the notification.
    `sequenceNumber` - the sequence number representing the place of this notification in the sequence of all same type notifications.
    `globalSequenceNumber` - the global sequence number representing the place of this notification in all notifications sent out by the class Trace.
    `level` - the level of information.
    `type` - the type of the information.
    `className` - the name of the class from which the information is from.
    `methodName` - the name of the method from which the information is from.
    `info` - an string as the trace information.
    `exception` - an exception as the trace information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD